cURL
curl --request POST \
--url https://sandbox.api.nkama.ga/api/v1/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"addressLine": "<string>",
"amenities": [
"<string>"
],
"city": "<string>",
"latitude": 123,
"longitude": 123,
"province": "<string>",
"quartier": "<string>"
}
'import requests
url = "https://sandbox.api.nkama.ga/api/v1/properties"
payload = {
"name": "<string>",
"addressLine": "<string>",
"amenities": ["<string>"],
"city": "<string>",
"latitude": 123,
"longitude": 123,
"province": "<string>",
"quartier": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
addressLine: '<string>',
amenities: ['<string>'],
city: '<string>',
latitude: 123,
longitude: 123,
province: '<string>',
quartier: '<string>'
})
};
fetch('https://sandbox.api.nkama.ga/api/v1/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"addressLine": "<string>",
"amenities": [
"<string>"
],
"city": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latitude": 123,
"longitude": 123,
"name": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"province": "<string>",
"quartier": "<string>"
}property-controller
Post apiv1properties
POST
/
api
/
v1
/
properties
cURL
Authorizations
Bearer access token (JWT) issued by Keycloak or the sandbox token endpoint.
Body
application/json
Response
201 - */*
Created
Available options:
DRAFT, PUBLISHED, ARCHIVED Available options:
APARTMENT, STUDIO, HOUSE, VILLA, OFFICE, COMMERCIAL, LAND ⌘I

